Skip to main content
`Ctrl`+`K`

# TaoTermGetParametersVecType

Get the vector types of the parameter vector of a `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetParametersVecType(TaoTerm term, VecType *parameters_type)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- parameters_type - the `VecType` for the parameter space

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermSetParametersVecType()`, `TaoTermGetParametersLayout()`, `TaoTermSetParametersLayout()`, `TaoTermSetSolutionTemplate()`, `TaoTermSetParametersTemplate()`, `TaoTermCreateParametersVec()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages